apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "homeassistant.fullname" . }}
  labels:
    app.kubernetes.io/name: {{ include "homeassistant.name" . }}
    helm.sh/chart: {{ include "homeassistant.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ include "homeassistant.name" . }}
      app.kubernetes.io/instance: {{ .Release.Name }}
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ include "homeassistant.name" . }}
        app.kubernetes.io/instance: {{ .Release.Name }}
    spec:
      containers:
        - name: {{ .Chart.Name }}
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          ports:
            - name: http
              containerPort: 8123
              protocol: TCP
          volumeMounts:
            - mountPath: /config/
              name: ha-volume
      volumes:
        - name: ha-volume
          hostPath:
            path: {{ .Values.volumes.haconfig }}
            type: Directory
